<?php

namespace App\Filament\Resources\SmsLogs\Schemas;

use Filament\Forms\Components\DateTimePicker;
use Filament\Forms\Components\TextInput;
use Filament\Forms\Components\Textarea;
use Filament\Schemas\Schema;

class SmsLogForm
{
    public static function configure(Schema $schema): Schema
    {
        return $schema
            ->components([
                TextInput::make('sender')
                    ->required(),
                Textarea::make('body')
                    ->required()
                    ->columnSpanFull(),
                TextInput::make('trx_id')
                    ->default(null),
                TextInput::make('amount')
                    ->numeric()
                    ->default(null),
                TextInput::make('status')
                    ->required()
                    ->default('UNMATCHED'),
                DateTimePicker::make('sms_timestamp'),
            ]);
    }
}
